> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/samples/webviewer-jquery.md).

# Integrate WebViewer into a jQuery Content Delivery Network (CDN)

Using a Vanilla JavaScript app, WebViewer is instantiated in an app.js application. The component is able to view, annotate, and manipulate PDFs and other documents.

Using a Vanilla JavaScript app, WebViewer is instantiated in an `app.js` application. The component is able to view, annotate, and manipulate PDFs and other documents.

The sample also shows how to call methods from the `docViewer` and `annotManager` objects in the `instance`. As well as how to access other Apryse namespaces such as `Tools` and `Annotations`.

Additionally, it demonstrates how to programmatically set the Dark Theme in the viewer.

jQuery commands are then used in the sample to retrieve this JS app and deliver the content to a locally hosted server.

WebViewer provides a slick out-of-the-box responsive UI that enables you to view, annotate and manipulate PDFs and other document types inside any web project.

Once you generate your license key, it will automatically be included in your sample code below.

{% @apryse-license-key/apryse-license-key platform="WEB\_VIEWER" variant="compact" %}

Click the button below to view the full project in GitHub.

{% tabs %}
{% tab title="JavaScript" %}
{% code title="app.js" lineNumbers="true" %}

```js
/* eslint-disable-next-line no-undef */
WebViewer({
  path: 'lib', // path to the Apryse 'lib' folder on your server
  // licenseKey: 'Insert commercial license key here after purchase',
  initialDoc: 'https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf',
  // initialDoc: '/path/to/my/file.pdf',  // You can also use documents on your server
}, document.getElementById('viewer'))
  .then(function(instance) {
    const { documentViewer, annotationManager } = instance.Core;
    // call methods from instance, documentViewer and annotationManager as needed

    // you can also access major namespaces from the instance as follows:
    // const Tools = instance.Core.Tools;
    // const Annotations = instance.Core.Annotations;

    // change to dark theme
    const theme = instance.UI.Theme;
    instance.UI.setTheme(theme.DARK);

    documentViewer.addEventListener('documentLoaded', function() {
    // call methods relating to the loaded document
    });
  });
/*eslint no-unused-vars: "warn"*/
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/samples/webviewer-jquery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
